Subject: Re: [PATCH] Introduce git version --list-features for porcelain use

From: Johannes Sixt <[email-masked]>
Date: Fri, 01 Jun 2007 09:13:57 +0200

"Shawn O. Pearce" wrote:
> Why cat?  Tcl is so horribly broken that to get data for both stdout
> and stderr through a pipe I have to do something sick like:
> 
>         git fetch 2>&1 | cat
> 
> because in Tcl its actually:
> 
>         set rdr [open "| git fetch |& cat" r]
> 
> The |& means 2>&1| in normal shell.  But that means I have to have
> a process after it to receive the data.  Normally that's cat.
> But MinGW doesn't have cat.  (Nor do they have dog, but neither
> does Linux...).  So I need a way to redirect output.

Are you planning for the future? Currently, the MinGW port works only
with MSYS installed and $MSYS/bin in your PATH because the shell scripts
need an assorted set of POSIX tools. MSYS does ship 'cat', of course.

-- Hannes